package com.ruoyi.system.domain.project;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目投产对象 bm_project_product
 * 
 * @author ruoyi
 * @date 2021-03-08
 */
public class BmProjectProduct extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目投产id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;

    /** 已完成投资额 */
    @Excel(name = "已完成投资额")
    private BigDecimal totInvestment;

    /** 设备投资额度 */
    @Excel(name = "设备投资额度")
    private BigDecimal macInvestment;

    /** 投产时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投产时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productDate;

    /** 投产图片 */
    @Excel(name = "投产图片")
    private String productPhoto;

    /** 项目入规(限) */
    @Excel(name = "项目入规(限)")
    private String isOk;

    /** 项目入规时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目入规时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date okDate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public void setTotInvestment(BigDecimal totInvestment) 
    {
        this.totInvestment = totInvestment;
    }

    public BigDecimal getTotInvestment() 
    {
        return totInvestment;
    }
    public void setMacInvestment(BigDecimal macInvestment) 
    {
        this.macInvestment = macInvestment;
    }

    public BigDecimal getMacInvestment() 
    {
        return macInvestment;
    }
    public void setProductDate(Date productDate) 
    {
        this.productDate = productDate;
    }

    public Date getProductDate() 
    {
        return productDate;
    }
    public void setProductPhoto(String productPhoto) 
    {
        this.productPhoto = productPhoto;
    }

    public String getProductPhoto() 
    {
        return productPhoto;
    }
    public void setIsOk(String isOk) 
    {
        this.isOk = isOk;
    }

    public String getIsOk() 
    {
        return isOk;
    }
    public void setOkDate(Date okDate) 
    {
        this.okDate = okDate;
    }

    public Date getOkDate() 
    {
        return okDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bmProjectId", getBmProjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("totInvestment", getTotInvestment())
            .append("macInvestment", getMacInvestment())
            .append("productDate", getProductDate())
            .append("productPhoto", getProductPhoto())
            .append("isOk", getIsOk())
            .append("okDate", getOkDate())
            .toString();
    }
}
